package Sah::SchemaR::net::hostname;

our $DATE = '2020-05-27'; # DATE
our $VERSION = '0.009'; # VERSION

our $rschema = ["str",[{examples=>[{valid=>0,value=>""},{valid=>1,value=>"example"},{valid=>1,value=>"example.com"},{valid=>1,value=>"www.example.com"},{valid=>1,value=>"12.34.56.78"},{summary=>"Underscore not allowed",valid=>0,value=>"www_new.example.com"},{valid=>1,value=>"www.example-two.com"},{valid=>1,value=>"www.example--two.com"},{summary=>"Word ending in dash not allowed",valid=>0,value=>"www.example-.com"},{summary=>"Word starting in dash not allowed",valid=>0,value=>"www.-example.com"},{summary=>"Word starting in dash not allowed",valid=>0,value=>"www.-example.com"}],match=>"\\A(([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9\\-]*[a-zA-Z0-9])\\.)*([A-Za-z0-9]|[A-Za-z0-9][A-Za-z0-9\\-]*[A-Za-z0-9])\\z",summary=>"Hostname"}],["str"]];

1;
# ABSTRACT: Hostname

__END__

=pod

=encoding UTF-8

=head1 NAME

Sah::SchemaR::net::hostname - Hostname

=head1 VERSION

This document describes version 0.009 of Sah::SchemaR::net::hostname (from Perl distribution Sah-Schemas-Net), released on 2020-05-27.

=head1 DESCRIPTION

This module is automatically generated by Dist::Zilla::Plugin::Sah::Schemas during distribution build.

A Sah::SchemaR::* module is useful if a client wants to quickly lookup the base type of a schema without having to do any extra resolving. With Sah::Schema::*, one might need to do several lookups if a schema is based on another schema, and so on. Compare for example L<Sah::Schema::poseven> vs L<Sah::SchemaR::poseven>, where in Sah::SchemaR::poseven one can immediately get that the base type is C<int>. Currently L<Perinci::Sub::Complete> uses Sah::SchemaR::* instead of Sah::Schema::* for reduced startup overhead when doing tab completion.

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/Sah-Schemas-Net>.

=head1 SOURCE

Source repository is at L<https://github.com/perlancar/perl-Sah-Schemas-Net>.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://rt.cpan.org/Public/Dist/Display.html?Name=Sah-Schemas-Net>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2020, 2019, 2018, 2016 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
